
Smart Proxy - Bug #7021

DHCP entires don't get deleted with the virsh provider

08/11/2014 10:20 AM - Anonymous

Status: Resolved   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I hit this, when deleting a host.

D, [2014-08-11T15:37:11.870575 #695] DEBUG -- : /usr/bin/sudo /usr/bin/virsh net-dumpxml default 2

>&1

D, [2014-08-11T15:37:11.888496 #695] DEBUG -- : /usr/bin/sudo /usr/bin/virsh net-update default de

lete dns-host --xml '<host ip="192.168.122.2"><hostname>puppetmaster.local</hostname></host>' --li

ve --config 2>&1

D, [2014-08-11T15:37:12.124721 #695] DEBUG -- : Loading subnets for {:virsh_network=>"default"}

D, [2014-08-11T15:37:12.124847 #695] DEBUG -- : /usr/bin/sudo /usr/bin/virsh net-dumpxml default 2

>&1

D, [2014-08-11T15:37:12.141282 #695] DEBUG -- : Added 192.168.122.0/255.255.255.0 to {:virsh_netwo

rk=>"default"}

D, [2014-08-11T15:37:12.141528 #695] DEBUG -- : Loading subnet data for 192.168.122.0/255.255.255.

0

D, [2014-08-11T15:37:12.146937 #695] DEBUG -- : Added 192.168.122.22 / 52:54:00:31:71:31 to 192.16

8.122.0/255.255.255.0

D, [2014-08-11T15:37:12.147033 #695] DEBUG -- : Added 192.168.122.10 / 52:54:00:5c:80:79 to 192.16

8.122.0/255.255.255.0

D, [2014-08-11T15:37:12.147145 #695] DEBUG -- : Added 192.168.122.99 / 52:54:00:e7:c9:6d to 192.16

8.122.0/255.255.255.0

D, [2014-08-11T15:37:12.147227 #695] DEBUG -- : Added 192.168.122.14 / 52:54:00:ab:bc:9a to 192.16

8.122.0/255.255.255.0

D, [2014-08-11T15:37:12.147313 #695] DEBUG -- : Added 192.168.122.17 / 52:54:00:af:1c:4a to 192.16

8.122.0/255.255.255.0

D, [2014-08-11T15:37:12.147410 #695] DEBUG -- : Added 192.168.122.2 / 52:54:00:d5:50:b3 to 192.168

.122.0/255.255.255.0

D, [2014-08-11T15:37:12.147454 #695] DEBUG -- : Lazy loaded 192.168.122.0/255.255.255.0 records

E, [2014-08-11T15:37:12.147758 #695] ERROR -- : Record 192.168.122.0/52:54:00:d5:50:b3 not found

D, [2014-08-11T15:37:12.227277 #695] DEBUG -- : TFTP: entry for 52:54:00:d5:50:b3 removed successf

ully

It seems that all DHCP entires with virsh get created, but not deleted. I'm having this with 1.5.2, but Dominic seems to have the same

problem with develop:

 

<Dominic> mmoll: hm, seems OK with command line API tests, but I do agree there seems to be an iss

ue as I have a lot of undeleted entries

<Dominic> oh, that's on develop though

Related issues:

Related to Foreman - Bug #7053: Cannot update IP address for existing host Resolved 08/12/2014

History
#1 - 08/11/2014 10:21 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category changed from DHCP to DHCP

#2 - 08/11/2014 12:52 PM - Anonymous

REST calls:

Started DELETE "/hosts/dhcptest.local" for 192.168.122.1 at 2014-08-11 18:49:11 +0200

Processing by HostsController#destroy as HTML

  Parameters: {"authenticity_token"=>"6Sv+Yt3JaXRS0DlNwJkKOAhwxCwB5EwRwTiO++H0bXI=", "id"=>"dhcptest.local"}

Delete the DNS A record for dhcptest.local/192.168.122.3

RestClient.delete "https://xxx:8443/dns/dhcptest.local", "Accept"=>"application/json", "Accept-Encoding"=>"gzi

p, deflate" 

# => 200 OK | text/html 0 bytes

RestClient.get "https://xxx:8443/tftp/serverName", "Accept"=>"application/json", "Accept-Encoding"=>"gzip, def

late" 

# => 200 OK | text/html 30 bytes

Delete DHCP reservation for dhcptest.local-52:54:00:3d:1f:82/192.168.122.3

RestClient.delete "https://xxx:8443/dhcp/192.168.122.0/52:54:00:3d:1f:82", "Accept"=>"application/json", "Acce

pt-Encoding"=>"gzip, deflate" 

# => 404 NotFound | application/json 48 bytes

Delete the TFTP configuration for dhcptest.local

RestClient.delete "https://xxx:8443/tftp/syslinux/52:54:00:3d:1f:82", "Accept"=>"application/json", "Accept-En

coding"=>"gzip, deflate" 

# => 200 OK | text/html 0 bytes

Removing Compute instance for dhcptest.local

Redirected to https://foreman.local/hosts

Completed 302 Found in 1025ms (ActiveRecord: 16.1ms)

 
virsh # net-dumpxml default

[...]

<host mac='52:54:00:3d:1f:82' name='dhcptest.local' ip='192.168.122.3'/>

[...]

#3 - 08/18/2014 11:22 AM - Dominic Cleal

- Related to Bug #7053: Cannot update IP address for existing host added

#4 - 05/01/2016 12:19 PM - Anonymous

- Status changed from New to Resolved

Can't reproduce this any more.
